Bug 672807 - Review Request: perl-CPAN-Meta-YAML - Read and write a subset of YAML for CPAN Meta files
Summary: Review Request: perl-CPAN-Meta-YAML - Read and write a subset of YAML for CPA...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 672665
TreeView+ depends on / blocked
 
Reported: 2011-01-26 13:27 UTC by Paul Howarth
Modified: 2011-03-15 18:24 UTC (History)
3 users (show)

Fixed In Version: perl-CPAN-Meta-YAML-0.003-3.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-15 18:24:04 UTC
iarnell: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2011-01-26 13:27:20 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-CPAN-Meta-YAML/branches/fedora/perl-CPAN-Meta-YAML.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-CPAN-Meta-YAML/perl-CPAN-Meta-YAML-0.003-2.fc15.src.rpm

Description:
This module implements a subset of the YAML specification for use in reading
and writing CPAN metadata files like META.yml and MYMETA.yml. It should not be
used for any other general YAML parsing or generation task.

This module is currently derived from YAML::Tiny by Adam Kennedy. If there are
bugs in how it parses a particular META.yml file, please file a bug report in
the YAML::Tiny bugtracker:
http://rt.cpan.org/NoAuth/ReportBug.html?Queue=YAML-Tiny



The EPEL-4/EPEL-5 builds of this package depend on perl-Test-CPAN-Meta and perl-Parse-CPAN-Meta, which are en route through the QA process so it'll be a month or so before they're buildable in the absence of some people testing them and giving them enough karma to get to stable earlier.

Comment 1 Iain Arnell 2011-01-27 04:27:25 UTC
+ source files match upstream.  
    62d0f9726a2b91971b2f3f4ac770de5d  CPAN-Meta-YAML-0.003.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
    Though I would lose the 2nd paragraph - it's not really relevant for a
    package description

+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text included
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2744924

+ package installs properly.
+ rpmlint has no complaints:
    perl-CPAN-Meta-YAML.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsus
    perl-CPAN-Meta-YAML.noarch: W: spelling-error %description -l en_US bugtracker -> bug tracker, bug-tracker, nutcracker
    perl-CPAN-Meta-YAML.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsus
    perl-CPAN-Meta-YAML.src: W: spelling-error %description -l en_US bugtracker -> bug tracker, bug-tracker, nutcracker
    2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ final provides and requires are sane:
    perl(CPAN::Meta::YAML) = 0.003
    perl-CPAN-Meta-YAML = 0.003-2.fc15
=
    perl(:MODULE_COMPAT_5.12.3)  
    perl(strict)  

+ %check is present and all tests pass.
    + make test 'TEST_FILES=t/*.t xt/*/*.t'
    PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t xt/*/*.t
    t/01_compile.t ........... ok
    t/02_basic.t ............. ok
    t/03_regression.t ........ ok
    t/04_scalar.t ............ ok
    t/05_export.t ............ ok
    t/11_meta_yml.t .......... ok
    t/12_plagger.t ........... ok
    t/13_perl_smith.t ........ ok
    t/14_yaml_org.t .......... ok
    t/15_multibyte.t ......... ok
    t/16_nullrefs.t .......... ok
    t/17_toolbar.t ........... ok
    t/18_tap.t ............... ok
    t/19_errors.t ............ ok
    t/20_subclass.t .......... ok
    t/21_bom.t ............... ok
    t/22_comments.t .......... ok
    xt/release/distmeta.t .... ok
    xt/release/pod-syntax.t .. ok
    All tests successful.
    Files=19, Tests=3448,  2 wallclock secs ( 0.36 usr  0.05 sys +  1.79 cusr  0.23 csys =  2.43 CPU)
    Result: PASS
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


My only minor gripe is that the 2nd paragraph of %description isn't really relevant for us.

APPROVED.

Comment 2 Paul Howarth 2011-01-27 14:02:24 UTC
I've trimmed the description in the spec now.

Thanks for the review.

New Package SCM Request
=======================
Package Name: perl-CPAN-Meta-YAML
Short Description: Read and write a subset of YAML for CPAN Meta files
Owners: pghmcfc
Branches: f13 f14 el4 el5 el6
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2011-01-27 15:06:28 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-01-27 16:30:06 UTC
perl-CPAN-Meta-YAML-0.003-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-CPAN-Meta-YAML-0.003-3.fc13

Comment 5 Fedora Update System 2011-01-27 16:30:12 UTC
perl-CPAN-Meta-YAML-0.003-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-CPAN-Meta-YAML-0.003-3.el6

Comment 6 Fedora Update System 2011-01-27 16:30:19 UTC
perl-CPAN-Meta-YAML-0.003-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-CPAN-Meta-YAML-0.003-3.fc14

Comment 7 Fedora Update System 2011-02-04 19:48:11 UTC
perl-CPAN-Meta-YAML-0.003-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-02-04 19:51:05 UTC
perl-CPAN-Meta-YAML-0.003-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-02-13 00:21:51 UTC
perl-CPAN-Meta-YAML-0.003-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-02-27 18:56:23 UTC
Package perl-CPAN-Meta-YAML-0.003-3.el4:
* should fix your issue,
* was pushed to the Fedora EPEL 4 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-CPAN-Meta-YAML-0.003-3.el4'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-CPAN-Meta-YAML-0.003-3.el4
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-02-27 20:30:31 UTC
Package perl-CPAN-Meta-YAML-0.003-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-CPAN-Meta-YAML-0.003-3.el5'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-CPAN-Meta-YAML-0.003-3.el5
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-02-28 23:59:22 UTC
perl-CPAN-Meta-YAML-0.003-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CPAN-Meta-YAML'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-CPAN-Meta-YAML-0.003-3.el4

Comment 13 Fedora Update System 2011-03-15 18:23:58 UTC
perl-CPAN-Meta-YAML-0.003-3.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 14 Fedora Update System 2011-03-15 18:24:42 UTC
perl-CPAN-Meta-YAML-0.003-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.